=== debian/changelog ===
digikam (2:2.2.0-1) experimental; urgency=low

  * New upstream release
    - Fixes "new upstream version: 2.0" (Closes: #628019)
  * Upstream have now merged the following packages:
    - digikam, digikam-doc, kipi-plugins
  * Add Build-Depends: chrpath, libboost-graph-dev, libcv-dev (>= 2.2) - experimental
  * Add patches/highgui_c.h to account for different layout
  * Add chrpath to strip binary-or-shlib-defines-rpath
  * lintian-overrides embedded-library reported upstream:
      https://bugs.kde.org/show_bug.cgi?id=237037
  * Add relevant files to debian/digikam.docs
  * Update debian/control Description:

  * digikam 2.0.0 uses features from kdegraphics 4.7 & ships a private 
  version of the kdegraphics libs - this is not the Debian way :-(
  * Unsatisfactory Conflicts: libkexiv2-dev kipi-plugins-common libkdcraw-dev
  libkipi-dev kdegraphics-libs-data & libkipi8

 -- Mark Purcell <msp@debian.org>  Fri, 07 Oct 2011 22:30:40 +1100

digikam (2:1.9.0-3) unstable; urgency=low

  * Upload to unstable
    - Fixes "digikam crashes after splash screen" (Closes: #605452)

 -- Mark Purcell <msp@debian.org>  Sat, 28 May 2011 17:53:30 +1000

digikam (2:1.9.0-2) experimental; urgency=low

  * Rebuild against experimental KDE SC 4.6.2
    - Fixes "Experimental: uninstallable" (Closes: #620676)
    - Fixes "Experimental: digikam and showfoto don't start" (Closes: #620873)
  * Added Recommends: mplayerthumbs (Closes: #622266)

 -- Mark Purcell <msp@debian.org>  Sun, 08 May 2011 10:47:46 +1000
