=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

#  * digikam 2.0.0 uses features from kdegraphics 4.6 ships a private 
#  version of the kdegraphics libs - this is not the Debian way :-(
#
# The following may work with KDE SC 4.7 :-)
#
#override_dh_auto_configure:
#	dh_auto_configure -- -DWANT_NORPATH:BOOL=1 -DDIGIKAMSC_USE_PRIVATE_KDEGRAPHICS:BOOL=0

override_dh_installchangelogs:
	dh_installchangelogs core/ChangeLog 

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg

	# fix binary-or-shlib-defines-rpath
	chrpath -d debian/digikam/usr/lib/kde4/*.so debian/digikam/usr/lib/*.so.*
